package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum LectureHotType {
	UNHOT(0, "大咖说页面不展示"), HOT(1, "大咖说页面展示"), OTHER(2, "其他");

	private LectureHotType(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, LectureHotType> status = new HashMap<Integer, LectureHotType>();

	static {
		for (LectureHotType value : LectureHotType.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static LectureHotType getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static LectureHotType getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
